searchNodes=[{"doc":"Documentation for PandaDoc which provides an API for pandadoc.com.InstallationThis package can be installed by adding pandadoc to your list of dependencies in mix.exs:def deps do [{:pandadoc, &quot;~&gt; 0.1.2&quot;}] endConfigurationPut the following lines into your config.exs or better, into your environment configuration files like test.exs, dev.exs or prod.exs.config :pandadoc, api_key: &quot;&lt;your api key&gt;&quot;WebHooks in PhoenixPut the following lines in a file called pandadoc_controller.ex inside your controllers directory.defmodule YourAppWeb.PandaDocController do use PandaDoc.PhoenixController def handle_document_change(id, status, _details) do id |&gt; Documents.get_by_pandadoc_id!() |&gt; Documents.update_document(%{status: status}) end def handle_document_complete(id, pdf, status, _details) do id |&gt; Documents.get_by_pandadoc_id!() |&gt; Documents.update_document(%{data: pdf, status: status}) end endPut the following lines into your router.ex and configure the WebHook in the pandadoc portal. post &quot;/callbacks/pandadoc&quot;, YourAppWeb.PandaDocController, :webhookUsageiex&gt; recipients = [ %PandaDoc.Recipient{ email: &quot;jane@example.com&quot;, first_name: &quot;Jane&quot;, last_name: &quot;Example&quot;, role: &quot;signer1&quot; } ] iex&gt; PandaDoc.create_document(&quot;Sample PandaDoc PDF.pdf&quot;, [] = pdf_bytes, recipients) {:ok, &quot;msFYActMfJHqNTKH8YSvF1&quot;}","ref":"PandaDoc.html","title":"PandaDoc","type":"module"},{"doc":"Creates a new Document from the given PDF file.Parametersname (String): Name of the documentpdf_bytes (Binary): PDF contentrecipients ([PandaDoc.Model.Recipient]): Array of Recipientsfields (Map): [optional] Field-mappings for the PDFtags ([String]): [optional] Array of Tagsparse_form_fields (Boolean): [optional] Should PandaDoc parse old-style PDF Fields?connection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, document_id} on success{:error, info} on failureExamplesiex&gt; pdf_bytes = File.read(&quot;/path/to/my.pdf&quot;) iex&gt; recipients = [ %PandaDoc.Model.Recipient{email: &quot;jane@example.com&quot;, first_name: &quot;Jane&quot;, last_name: &quot;Example&quot;, role: &quot;signer1&quot;} ] iex&gt; fields = %{ name: %PandaDoc.Model.Field{value: &quot;John&quot;, role: &quot;signer1&quot;} } iex&gt; PandaDoc.create_document(&quot;Sample PandaDoc PDF.pdf&quot;, pdf_bytes, recipients, fields, [&quot;tag1&quot;]) {:ok, &quot;msFYActMfJHqNTKH8YSvF1&quot;}","ref":"PandaDoc.html#create_document/7","title":"PandaDoc.create_document/7","type":"function"},{"doc":"Delete a document.Parametersid (String): PandaDoc Document IDconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, :ok} on success{:error, info} on failureExamplesiex&gt; PandaDoc.delete_document(&quot;msFYActMfJHqNTKH8YSvF1&quot;) :ok","ref":"PandaDoc.html#delete_document/2","title":"PandaDoc.delete_document/2","type":"function"},{"doc":"Get detailed data about a document such as name, status, dates, fields, metadata and much more.Parametersid (String): PandaDoc Document IDconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, %PandaDoc.Model.DocumentResponse{}} on success{:error, info} on failureExamplesiex&gt; PandaDoc.document_details(&quot;msFYActMfJHqNTKH8YSvF1&quot;) {:ok, %PandaDoc.Model.DocumentResponse{id: &quot;msFYActMfJHqNTKH8YSvF1&quot;, status: &quot;document.waiting_approval&quot;}}","ref":"PandaDoc.html#document_details/2","title":"PandaDoc.document_details/2","type":"function"},{"doc":"Get basic data about a document such as name, status, and dates.Parametersid (String): PandaDoc Document IDconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, %PandaDoc.Model.BasicDocumentResponse{}} on success{:error, info} on failureExamplesiex&gt; PandaDoc.document_status(&quot;msFYActMfJHqNTKH8YSvF1&quot;) {:ok, %PandaDoc.Model.BasicDocumentResponse{id: &quot;msFYActMfJHqNTKH8YSvF1&quot;, status: &quot;document.waiting_approval&quot;}}","ref":"PandaDoc.html#document_status/2","title":"PandaDoc.document_status/2","type":"function"},{"doc":"Download a PDF of any document.Parametersid (String): PandaDoc Document IDquery (Keywords): [optional] Query parameters for Watermarksconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, [] = pdf_bytes} on success{:error, info} on failureExamplesiex&gt; PandaDoc.download_document(&quot;msFYActMfJHqNTKH8YSvF1&quot;, watermark_text: &quot;WATERMARKED&quot;) {:ok, []}","ref":"PandaDoc.html#download_document/3","title":"PandaDoc.download_document/3","type":"function"},{"doc":"Download a signed PDF of a completed document.id (String): PandaDoc Document IDquery (Keywords): [optional] Query parameters for Watermarksconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, [] = pdf_bytes} on success{:error, info} on failureExamplesiex&gt; PandaDoc.download_protected_document(&quot;msFYActMfJHqNTKH8YSvF1&quot;) {:ok, []}","ref":"PandaDoc.html#download_protected_document/3","title":"PandaDoc.download_protected_document/3","type":"function"},{"doc":"List documents, optionally filter by a search query or tags.Parametersquery (Keywords): [optional] Query parametersconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, [%PandaDoc.Model.BasicDocumentResponse{}} on success{:error, info} on failureExamplesiex&gt; PandaDoc.list_documents() {:ok, %PandaDoc.Model.DocumentListResponse{results: [%PandaDoc.Model.BasicDocumentResponse{}]}}","ref":"PandaDoc.html#list_documents/2","title":"PandaDoc.list_documents/2","type":"function"},{"doc":"Move a document to sent status and send an optional email.Parametersid (String): PandaDoc Document IDsubject (String): [optional] E-Mail Subjectmessage (String): [optional] E-Mail Messagecontact (PandaDoc.Model.CreateContact): Contact dataconnection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, %PandaDoc.Model.BasicDocumentResponse{}} on success{:error, info} on failureExamplesiex&gt; PandaDoc.send_document(&quot;msFYActMfJHqNTKH8YSvF1&quot;, &quot;Document ready&quot;, &quot;Hi there, please sign this document&quot;) {:ok, %PandaDoc.Model.BasicDocumentResponse{id: &quot;msFYActMfJHqNTKH8YSvF1&quot;, status: &quot;document.sent&quot;}}","ref":"PandaDoc.html#send_document/5","title":"PandaDoc.send_document/5","type":"function"},{"doc":"Generates a link for the given recipient that you can just email or iframe with a validity of lifetime seconds (86400 by default).Parametersid (String): PandaDoc Document IDrecipient_email (String): Recipient E-Mail Addresslifetime (Integer): [optional] Seconds for this Link to be valid. Defaults to 86_400.connection (PandaDoc.Connection): [optional] Connection to serverReturns{:ok, &quot;https://app.pandadoc.com/s/..&quot; = url, ~U[2021-01-23 06:40:00] = expires} on success{:error, info} on failureExamplesiex&gt; PandaDoc.share_document(&quot;msFYActMfJHqNTKH8YSvF1&quot;, &quot;jane@example.com&quot;, 900) {:ok, &quot;https://app.pandadoc.com/s/msFYActMfJHqNTKH8YSvF1&quot;, expires_at: ~U[2017-08-29T22:18:44.315Z]}","ref":"PandaDoc.html#share_document/4","title":"PandaDoc.share_document/4","type":"function"},{"doc":"Documentation for PandaDoc.Connection which provides low-level API functionality to the pandadoc.com API.It is used for low-level communication and should not be used directly by users of this library.","ref":"PandaDoc.Connection.html","title":"PandaDoc.Connection","type":"module"},{"doc":"Creates a new API Connection for the given API Key by returning a pre-configured Tesla HTTP Client.","ref":"PandaDoc.Connection.html#new/1","title":"PandaDoc.Connection.new/1","type":"function"},{"doc":"Helper functions for deserializing responses into models","ref":"PandaDoc.Deserializer.html","title":"PandaDoc.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"PandaDoc.Deserializer.html#deserialize/5","title":"PandaDoc.Deserializer.deserialize/5","type":"function"},{"doc":"Structure with additional information about an API response with basic informations about documents.","ref":"PandaDoc.Model.BasicDocumentResponse.html","title":"PandaDoc.Model.BasicDocumentResponse","type":"module"},{"doc":"","ref":"PandaDoc.Model.BasicDocumentResponse.html#t:t/0","title":"PandaDoc.Model.BasicDocumentResponse.t/0","type":"type"},{"doc":"Structure containing a list of document responses.","ref":"PandaDoc.Model.DocumentListResponse.html","title":"PandaDoc.Model.DocumentListResponse","type":"module"},{"doc":"","ref":"PandaDoc.Model.DocumentListResponse.html#t:t/0","title":"PandaDoc.Model.DocumentListResponse.t/0","type":"type"},{"doc":"Structure with additional information about an API response holding information about a document.","ref":"PandaDoc.Model.DocumentResponse.html","title":"PandaDoc.Model.DocumentResponse","type":"module"},{"doc":"","ref":"PandaDoc.Model.DocumentResponse.html#t:t/0","title":"PandaDoc.Model.DocumentResponse.t/0","type":"type"},{"doc":"Structure with additional information about an API Error response.","ref":"PandaDoc.Model.ErrorResponse.html","title":"PandaDoc.Model.ErrorResponse","type":"module"},{"doc":"","ref":"PandaDoc.Model.ErrorResponse.html#t:t/0","title":"PandaDoc.Model.ErrorResponse.t/0","type":"type"},{"doc":"Structure holding information about a Document field.","ref":"PandaDoc.Model.Field.html","title":"PandaDoc.Model.Field","type":"module"},{"doc":"","ref":"PandaDoc.Model.Field.html#t:t/0","title":"PandaDoc.Model.Field.t/0","type":"type"},{"doc":"Structure holding information about a Document signer/recipient.","ref":"PandaDoc.Model.Recipient.html","title":"PandaDoc.Model.Recipient","type":"module"},{"doc":"","ref":"PandaDoc.Model.Recipient.html#t:t/0","title":"PandaDoc.Model.Recipient.t/0","type":"type"},{"doc":"Implements a PhoenixController that can be easily wired up and used.Examplesdefmodule YourAppWeb.PandaDocController do use PandaDoc.PhoenixController def handle_document_change(id, status, _details) do id |&gt; Documents.get_by_pandadoc_id!() |&gt; Documents.update_document(%{status: status}) end def handle_document_complete(id, pdf, status, _details) do id |&gt; Documents.get_by_pandadoc_id!() |&gt; Documents.update_document(%{data: pdf, status: status}) end endPut the following lines into your router.ex and configure the WebHook in the pandadoc portal. post &quot;/callbacks/pandadoc&quot;, YourAppWeb.PandaDocController, :webhook","ref":"PandaDoc.PhoenixController.html","title":"PandaDoc.PhoenixController","type":"behaviour"},{"doc":"Triggers when a PandaDoc document changed.","ref":"PandaDoc.PhoenixController.html#c:handle_document_change/3","title":"PandaDoc.PhoenixController.handle_document_change/3","type":"callback"},{"doc":"Triggers when a PandaDoc document has been completed/signed.","ref":"PandaDoc.PhoenixController.html#c:handle_document_complete/4","title":"PandaDoc.PhoenixController.handle_document_complete/4","type":"callback"},{"doc":"Helper functions for building Tesla requests","ref":"PandaDoc.RequestBuilder.html","title":"PandaDoc.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the requestParametersrequest (Map) - Collected request optionsdefinitions (Map) - Map of parameter name to parameter location.options (KeywordList) - The provided optional parametersReturnsMap","ref":"PandaDoc.RequestBuilder.html#add_optional_params/3","title":"PandaDoc.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add optional parameters to the requestParametersrequest (Map) - Collected request optionslocation (atom) - Where to put the parameterkey (atom) - The name of the parametervalue (any) - The value of the parameterReturnsMap","ref":"PandaDoc.RequestBuilder.html#add_param/4","title":"PandaDoc.RequestBuilder.add_param/4","type":"function"},{"doc":"Handle the response for a Tesla requestParametersarg1 (Tesla.Env.t | term) - The response objectarg2 (:false | struct | [struct]) - The shape of the struct to deserialize intoReturns{:ok, struct()} on success {:ok, Tesla.Env.t()} on failure {:error, term} on failure","ref":"PandaDoc.RequestBuilder.html#decode/2","title":"PandaDoc.RequestBuilder.decode/2","type":"function"},{"doc":"Evaluates the Tesla responseParametersarg1 {:atom, Tesla.Env.t} - The response objectarg2 list - List of Tuples matching something like [{200, %Model.ErrorResponse{}}]Returns{:ok, struct} on success {:ok, Tesla.Env.t()} on failure {:error, term} on failure","ref":"PandaDoc.RequestBuilder.html#evaluate_response/2","title":"PandaDoc.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request method when building a requestParametersrequest (Map) - Collected request optionsm (atom) - Request methodReturnsMap","ref":"PandaDoc.RequestBuilder.html#method/2","title":"PandaDoc.RequestBuilder.method/2","type":"function"},{"doc":"Specify the request method when building a requestParametersrequest (Map) - Collected request optionsu (String) - Request URLReturnsMap","ref":"PandaDoc.RequestBuilder.html#url/2","title":"PandaDoc.RequestBuilder.url/2","type":"function"}]